﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-appletv'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/d74737c6db50/TargetSupportInstaller/UnitySetup-AppleTV-Support-for-Editor-2022.3.2f1.exe'
$checksum64     = 'b0416089a5af89c75022a2790416cacb1fdb649fc7602f97dc1d36f1282a796f'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
